const { is } = require('@creanet/js-type');
const SpecificQuery = require('./query.specific.class');
const { SetMixin, WhereMixin } = require('../mixins');

class Update extends WhereMixin(SetMixin(SpecificQuery)) {
  get canExecute() {
    return is.not.null(this._set);
  }

  get query() {
    return `UPDATE ${this.table} ${this.setSQL} ${this.whereSQL}`;
  }
}

module.exports = Update;
